/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.HdetalleFactura;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface HdetalleFacturaFacadeLocal {

    void create(HdetalleFactura hdetalleFactura);

    void edit(HdetalleFactura hdetalleFactura);

    void remove(HdetalleFactura hdetalleFactura);

    HdetalleFactura find(Object id);

    List<HdetalleFactura> findAll();

    List<HdetalleFactura> findRange(int[] range);

    int count();

}
